# Retrieve a webhook delivery

`GET https://api.cademi.com.br/api/v3/webhooks/{webhook_id}/deliveries/{webhook_delivery_id}`

Operation ID: `webhooks.deliveries.get` · API v3

Retrieves a webhook delivery, including `attempts_count`, `next_attempt_at`, and its most recent attempt.

Required permissions: `webhooks.deliveries.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `webhook_id` | path | string | yes |  |
| `webhook_delivery_id` | path | string | yes |  |

## Responses

### 200

Returns the requested delivery.

Body: `data`: WebhookDelivery.

Fields of WebhookDelivery:

| Field | Type | Required | Description |
|---|---|---|---|
| `attempts_count` | integer | yes |  |
| `created_at` | string (date-time) | yes |  |
| `deadline_at` | string (date-time) | no |  |
| `delivered_at` | string or null (date-time) | no |  |
| `event_id` | string | yes |  |
| `id` | string | yes |  |
| `last_attempt` | WebhookDeliveryAttempt or null | no |  |
| `next_attempt_at` | string or null (date-time) | no |  |
| `object` | string, one of `webhook_delivery` | yes |  |
| `status` | string, one of `pending`, `in_progress`, `delivered`, `failed`, `dead`, `canceled` | yes |  |
| `url` | string | yes | Canonical URL of the delivery under its webhook destination. |
| `webhook_id` | string | yes |  |

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The webhook endpoint or delivery was not found or is not accessible with the current credentials.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
